متصلون الآن  

/v1/reservation/

Native v2 reservation detail, share, and review endpoints.
GET

/v1/reservation/get_detail

#
Returns a native v2 reservation payload for the acting viewer. Public-by-design: anonymous share links reveal teaser metadata only; exact reservation details require sign-in.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
listingUUID string لا "" Reservation/listing UUID.
sharecode string لا "" Share code from /share/{code}.
reviewMode bool لا false Include reviewer context when the acting user can review this reservation.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/reservation/get_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'reviewMode={{reviewMode}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_get_detail_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payload نعم
$.oneOf[0].allOf[1].Payload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].mode = "detail" نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].totalinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].submittedinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].urlstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].transactionIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].accessobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.canViewFullboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isOwnerboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isSharedGuestboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isReviewerboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isUnlockedDetailboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.authorizedByShareCodeboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].access.readOnly = true لا
$.oneOf[0].allOf[1].Payload.oneOf[0].locationobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.idinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.namestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.aliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.addressstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.googleMapsURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.cityLinestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.timezonestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].location.imageURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservationobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.refundStatusLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.descriptorstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.inventoryNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.datestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateTimeLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.partySizeLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.checkInNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.emailstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.phonestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.detailStatementstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseSummarystring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseAmountFormattedstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.headcountinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFieldsarray نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[]object لا
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].idinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].labelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].typestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].valuestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.isPastboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].peopleobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].people.ownerAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].people.creatorAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guestsReservationGuests نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].shareURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].headcountinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].confirmedCountinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].pendingSlotsinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].itemsarray نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[]object لا
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].namestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].aliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].statusstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].lastSeenLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].reviewReservationReview نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].canReview = false نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].isActive = false نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].revisionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].canReview = true نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isActive = true نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].needsBeginboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isInProgressboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isSelfReviewboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardEligibleboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardPointsinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceSmallestUnitinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardFormattedstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceFormattedstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].questionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByDatestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByTimestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].legacyReviewURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].historyarray نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[]object لا
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].createdLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].statusstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionHTMLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].reviewerAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actionsReservationActions نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].shareURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceLocationNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportProblemURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatV2URLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatV2URLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].absoluteShareURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAppointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].manageAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportInfractionAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferServiceobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.visibleboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isRequestedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isInTransferboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isCompletedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isFailedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.typestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.statusstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.currentNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedGivenNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedAtstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestEndpointstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelEndpointstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellEndpointstring لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellListingIDstring لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellLocationNamestring لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellInventoryNamestring لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellDateLabelstring لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTimeLabelstring لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAppointmentIDinteger لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMinPriceinteger لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMaxPriceinteger لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRequiresReviewboolean لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRelistOriginalboolean لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffersarray لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[]object لا
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[1]array نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].copyobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.titlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.descriptionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1]object نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].mode = "teaser" نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].shareCodestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].shareURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].ownerAliasstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].locationobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].location.idinteger نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].location.namestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].location.categoryDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].location.citystring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].location.imageURLstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].reservationobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.descriptorstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.partySizeLabelstring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].copyobject نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.titlestring نعم
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.descriptionstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/reservation/get_transfer_detail

#
Returns read-only reservation details for a transfer chat participant. Requires the current buyer or assigned transfer agent and a matching transfer chat. Locked buyers receive a summary and time window, without private booking fields. Opening this view never accepts a share invitation or changes the transfer.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
transferChatID int لا 0 Transfer chat ID.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/reservation/get_transfer_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'transferChatID={{transferChatID}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_get_transfer_detail_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.mode = "detail" نعم
$.oneOf[0].allOf[1].Payload.customerSurveys نعم
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].totalinteger نعم
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].submittedinteger نعم
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].urlstring نعم
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].transactionIDinteger نعم
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.accessobject نعم
$.oneOf[0].allOf[1].Payload.access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] نعم
$.oneOf[0].allOf[1].Payload.access.canViewFullboolean نعم
$.oneOf[0].allOf[1].Payload.access.isOwnerboolean نعم
$.oneOf[0].allOf[1].Payload.access.isSharedGuestboolean نعم
$.oneOf[0].allOf[1].Payload.access.isReviewerboolean نعم
$.oneOf[0].allOf[1].Payload.access.isUnlockedDetailboolean نعم
$.oneOf[0].allOf[1].Payload.access.authorizedByShareCodeboolean نعم
$.oneOf[0].allOf[1].Payload.access.readOnly = true لا
$.oneOf[0].allOf[1].Payload.locationobject نعم
$.oneOf[0].allOf[1].Payload.location.idinteger نعم
$.oneOf[0].allOf[1].Payload.location.namestring نعم
$.oneOf[0].allOf[1].Payload.location.aliasstring نعم
$.oneOf[0].allOf[1].Payload.location.addressstring نعم
$.oneOf[0].allOf[1].Payload.location.googleMapsURLstring نعم
$.oneOf[0].allOf[1].Payload.location.cityLinestring نعم
$.oneOf[0].allOf[1].Payload.location.timezonestring نعم
$.oneOf[0].allOf[1].Payload.location.imageURLstring نعم
$.oneOf[0].allOf[1].Payload.reservationobject نعم
$.oneOf[0].allOf[1].Payload.reservation.refundStatusLabelstring نعم
$.oneOf[0].allOf[1].Payload.reservation.descriptorstring نعم
$.oneOf[0].allOf[1].Payload.reservation.inventoryNamestring نعم
$.oneOf[0].allOf[1].Payload.reservation.datestring نعم
$.oneOf[0].allOf[1].Payload.reservation.timestring نعم
$.oneOf[0].allOf[1].Payload.reservation.dateLabelstring نعم
$.oneOf[0].allOf[1].Payload.reservation.timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.reservation.dateTimeLabelstring نعم
$.oneOf[0].allOf[1].Payload.reservation.partySizeLabelstring نعم
$.oneOf[0].allOf[1].Payload.reservation.checkInNamestring نعم
$.oneOf[0].allOf[1].Payload.reservation.emailstring نعم
$.oneOf[0].allOf[1].Payload.reservation.phonestring نعم
$.oneOf[0].allOf[1].Payload.reservation.detailStatementstring نعم
$.oneOf[0].allOf[1].Payload.reservation.purchaseSummarystring نعم
$.oneOf[0].allOf[1].Payload.reservation.purchaseAmountFormattedstring نعم
$.oneOf[0].allOf[1].Payload.reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] نعم
$.oneOf[0].allOf[1].Payload.reservation.headcountinteger نعم
$.oneOf[0].allOf[1].Payload.reservation.customFieldsarray نعم
$.oneOf[0].allOf[1].Payload.reservation.customFields[]object لا
$.oneOf[0].allOf[1].Payload.reservation.customFields[].idinteger نعم
$.oneOf[0].allOf[1].Payload.reservation.customFields[].labelstring نعم
$.oneOf[0].allOf[1].Payload.reservation.customFields[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.reservation.customFields[].typestring نعم
$.oneOf[0].allOf[1].Payload.reservation.customFields[].valuestring نعم
$.oneOf[0].allOf[1].Payload.reservation.isPastboolean نعم
$.oneOf[0].allOf[1].Payload.peopleobject نعم
$.oneOf[0].allOf[1].Payload.people.ownerAliasstring نعم
$.oneOf[0].allOf[1].Payload.people.creatorAliasstring نعم
$.oneOf[0].allOf[1].Payload.guestsReservationGuests نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].shareURLstring نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].headcountinteger نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].confirmedCountinteger نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].pendingSlotsinteger نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].itemsarray نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[]object لا
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].kindstring ["owner","shared"] نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].namestring نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].aliasstring نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].statusstring نعم
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].lastSeenLabelstring نعم
$.oneOf[0].allOf[1].Payload.reviewReservationReview نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[1].canReview = false نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[1].isActive = false نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2]object نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].revisionstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].canReview = true نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isActive = true نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].needsBeginboolean نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isInProgressboolean نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isSelfReviewboolean نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardEligibleboolean نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardPointsinteger نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceSmallestUnitinteger نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardFormattedstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceFormattedstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].questionstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByDatestring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByTimestring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByLabelstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].legacyReviewURLstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].amountFormattedstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].discussionURLstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].historyarray نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[]object لا
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].createdLabelstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].statusstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionHTMLstring نعم
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].reviewerAliasstring نعم
$.oneOf[0].allOf[1].Payload.actionsReservationActions نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].shareURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceCheckoutURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceLocationNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceInventoryNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceTimeLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportProblemURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatV2URLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatV2URLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].absoluteShareURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAppointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceSmallestUnitinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].manageAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportInfractionAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferServiceobject نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.visibleboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelAvailableboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isRequestedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isInTransferboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isCompletedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isFailedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.typestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.statusstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.currentNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedGivenNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedFamilyNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedAtstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestEndpointstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelEndpointstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].promptstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellEndpointstring لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellListingIDstring لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellLocationNamestring لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellInventoryNamestring لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellDateLabelstring لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTimeLabelstring لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAppointmentIDinteger لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellCurrentPriceSmallestUnitinteger لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMinPriceinteger لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMaxPriceinteger لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTransferFeeBasisPointsinteger لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRequiresReviewboolean لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSelfReviewAvailableboolean لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRelistOriginalboolean لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffersarray لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[]object لا
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].timeLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].priceLabelstring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].inventoryTypestring نعم
$.oneOf[0].allOf[1].Payload.actions.anyOf[1]array نعم
$.oneOf[0].allOf[1].Payload.copyobject نعم
$.oneOf[0].allOf[1].Payload.copy.titlestring نعم
$.oneOf[0].allOf[1].Payload.copy.descriptionstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_transfer_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/reservation/set_accept_sharecode

#
Accepts a share code for the acting signed-in user.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
sharecode string لا "" Share code from /share/{code}.
incognito bool لا false If true, validates the share code but does not add the acting user as a shared guest.
isWritingRequest bool لا false Must be true to write the share acceptance.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/reservation/set_accept_sharecode' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'incognito={{incognito}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_set_accept_sharecode_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.listingUUID نعم
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[1] = null نعم
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[2] = false نعم
$.oneOf[0].allOf[1].Payload.detailURLstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_accept_sharecode",
    "RequestUserAlias": "example-user",
    "Payload": {
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/reservation/set_approve_review

#
Approves a native reservation review for the acting reviewer.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
listingUUID string لا "" Reservation/listing UUID.
isWritingRequest bool لا false Must be true to approve the review.
expectedRevision string لا "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/reservation/set_approve_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_set_approve_review_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.success = true نعم
$.oneOf[0].allOf[1].Payload.messagestring نعم
$.oneOf[0].allOf[1].Payload.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.pointsReceivedDatabaseNumber نعمNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[0]number نعم
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.newBalance نعم
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0]DatabaseNumber نعمNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[0]number نعم
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[1]null نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_approve_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "pointsReceived": 0,
        "newBalance": 0
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/reservation/set_begin_review

#
Begins native reservation review for the acting reviewer.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
listingUUID string لا "" Reservation/listing UUID.
isWritingRequest bool لا false Must be true to claim the review.
expectedRevision string لا "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/reservation/set_begin_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_set_begin_review_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.success = true نعم
$.oneOf[0].allOf[1].Payload.messagestring نعم
$.oneOf[0].allOf[1].Payload.appointmentIDinteger نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_begin_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/reservation/set_cancel_transfer_service

#
Cancels transfer service for the acting buyer's reservation, including transfer work already in progress.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
listingUUID string لا "" Reservation/listing UUID.
isWritingRequest bool لا false Must be true to cancel transfer service.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/reservation/set_cancel_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_set_cancel_transfer_service_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.success = true نعم
$.oneOf[0].allOf[1].Payload.messagestring نعم
$.oneOf[0].allOf[1].Payload.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.statusstring نعم
$.oneOf[0].allOf[1].Payload.detailURLstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_cancel_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/reservation/set_reject_review

#
Rejects a native reservation review for the acting reviewer.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
listingUUID string لا "" Reservation/listing UUID.
reason string لا "" Revision reason for the seller.
respondByDate string لا "" Respond-by date.
respondByTime string لا "" Respond-by time.
isWritingRequest bool لا false Must be true to reject the review.
expectedRevision string لا "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/reservation/set_reject_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'reason={{reason}}' \
  --data-urlencode 'respondByDate={{respondByDate}}' \
  --data-urlencode 'respondByTime={{respondByTime}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_set_reject_review_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payload نعم
$.oneOf[0].allOf[1].Payload.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].success = true نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].messagestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].revisionURLstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].success = true نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].messagestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceivedDatabaseNumber نعمNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[0]number نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0]DatabaseNumber نعمNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[0]number نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[1]null نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_reject_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "revisionURL": "synthetic-example"
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/reservation/set_request_transfer_service

#
Requests transfer service for the acting buyer's reservation.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
listingUUID string لا "" Reservation/listing UUID.
givenName string لا "" First name to put on the reservation.
familyName string لا "" Last name to put on the reservation.
isWritingRequest bool لا false Must be true to request the transfer.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/reservation/set_request_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'givenName={{givenName}}' \
  --data-urlencode 'familyName={{familyName}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$reservation_set_request_transfer_service_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.success = true نعم
$.oneOf[0].allOf[1].Payload.messagestring نعم
$.oneOf[0].allOf[1].Payload.appointmentIDinteger نعم
$.oneOf[0].allOf[1].Payload.listingUUIDstring نعم
$.oneOf[0].allOf[1].Payload.status = "Transfer Requested" نعم
$.oneOf[0].allOf[1].Payload.requestedNamestring نعم
$.oneOf[0].allOf[1].Payload.detailURLstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_request_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "Transfer Requested",
        "requestedName": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا